initStylesheets();




function initStylesheets()
{
	/* Turn on specific stylesheet for JS-capable browsers */
	setStylesheet("JavaScript", false, true);
	
	return true;
}




function setStylesheet(styleTitle, styleStatus, reset)
{
	var currTag;

	if (document.getElementsByTagName)
	{
		for (var i = 0; (currTag = document.getElementsByTagName("link")[i]); i++)
		{
			if (currTag.getAttribute("rel").indexOf("style") != -1 && currTag.getAttribute("title"))
			{
				if (reset)
				{
					currTag.disabled = true;
				}

				if(currTag.title == styleTitle)
				{
					if (styleStatus == "switch" && currTag.disabled == true)
					{
						/* Set disabled to opposite of current value */
						currTag.disabled = false;
					}
					else if (styleStatus == "switch")
					{
						/* Set disabled to opposite of current value */
						currTag.disabled = true;
					}
					else
					{
						/* Set disabled to passed status */
						currTag.disabled = styleStatus;
					}
				}
			}
		}
	}
	
	return true;
}